| Name | Description |
|---|---|
| access_token | JSON Web Token retrieved from the Sessions endpoint (you can also pass this into the Authorization header) |
| page |
pagination details: - page[limit] = number of challenges you want to receive per page, default 25 - page[offset] = skip the first n number of records before reading challenges, default 0 |
| sort | (optional) order you want to receive challenges in, defaults to id. |
| include | (optional) comma delimited relationships you want included in the response in snake_case format |
| filters |
comma delimited filters. Filter options: - filters[completed] = [true,false] - filters[receiver_ids] = 3,4 - filters[organization_ids] = 1,2 - filters[types] = pray,learn |
| Name | Description |
|---|---|
| data | primary JSON API payload |
| included | related models (controlled by the include param) |
| meta | will contain additional information about the current request, including the total number of records before the limit/offset operations |
Version: HTTP/1.0 Accept: application/vnd.api+json Content-Type: application/vnd.api+json Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoyMSwiZXhwIjoxNzk0NTQwMjAyLCJpYXQiOjE3OTQ1NDAwMjJ9.g13gJpuKspWvfgAQ9Stp1m8friwksY8o-mavJuM_46k Host: example.org Cookie:
GET /apis/v4/challenges?include=&filters[organization_ids]=personal
include=
filters={"organization_ids"=>"personal"}
X-Frame-Options: SAMEORIGIN X-XSS-Protection: 1; mode=block X-Content-Type-Options: nosniff X-Download-Options: noopen X-Permitted-Cross-Domain-Policies: none Referrer-Policy: strict-origin-when-cross-origin Content-Type: application/vnd.api+json Vary: Accept X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoyMSwiZXhwIjoxNzk0NzEyODIyLCJpYXQiOjE3OTQ1NDAwMjJ9.IG7In2UhgI_PInCBRPj6oMniaj4yBuEO24f8KVvCMdE Access-Control-Expose-Headers: X-MH-Session ETag: W/"9e66ec0e3f91df3cd742135c00c13f21" Cache-Control: max-age=0, private, must-revalidate X-Request-Id: 22a8afc8-bf3d-45e8-9ec7-08f92c01c025 X-Runtime: 0.057536 Content-Length: 537
200